database_api.find_smt_contributions
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
Find SMT contributions. Contributions are needed to track individual contributions on an SMT during the ICO phase.
See: Token Units, Vesting Contributions
Parameters
PARAMETERS
json
{
"symbol_contributors": []
}⚠ This method is deprecated (SMT-era) and no longer served by public nodes.
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.find_smt_contributions",
"params": {
"symbol_contributors": []
},
"id": 1
}'Response
RESPONSE
json
{
"contributions": [
{
"id": 0,
"symbol": {
"nai": "@@422838704",
"decimals": 0
},
"contributor": "alice",
"contribution_id": 0,
"contribution": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
}
}
]
}